AbstractPolicyHolder< POLICY_INTERFACE, BASE > Class Template Referenceabstract

Access a stream cipher policy object. More...

Inheritance diagram for AbstractPolicyHolder< POLICY_INTERFACE, BASE >:

## Public Types

typedef POLICY_INTERFACE | PolicyInterface

## Detailed Description

### template<class POLICY_INTERFACE, class BASE = Empty>
class AbstractPolicyHolder< POLICY_INTERFACE, BASE >

Access a stream cipher policy object.

Template Parameters

  POLICY_INTERFACE | class implementing AbstractPolicyHolder
  BASE | class or type to use as a base class

Definition at line 50 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h